using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.RGV
{
    /// <summary>
    ///  RGV
    /// </summary>
    [DataContract]
    public class WCS_RGV520 : IRGV520
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }

        [DataMember(Order = 1)]
        public RGVCmdType CmdType { get; set; }

        [DataMember(Order = 2)]
        public short StartPosition { get; set; }

        [DataMember(Order = 3)]
        public short DestPosition { get; set; }

        [DataMember(Order = 4)]
        public short RES1 { get; set; }

        [DataMember(Order = 5)]
        public short RES2 { get; set; }

        [DataMember(Order = 6)]
        public short VoucherNo { get; set; }
    }
}
